import { db } from 'src/lib/db'

export const kategories = () => {
  return db.kategorie.findMany()
}

export const kategorie = ({ id }) => {
  return db.kategorie.findUnique({
    where: { id },
  })
}

export const createKategorie = ({ input }) => {
  return db.kategorie.create({
    data: input,
  })
}

export const updateKategorie = ({ id, input }) => {
  return db.kategorie.update({
    data: input,
    where: { id },
  })
}

export const deleteKategorie = ({ id }) => {
  return db.kategorie.delete({
    where: { id },
  })
}

export const Kategorie = {
  artikel: (_obj, { root }) => {
    return db.kategorie.findUnique({ where: { id: root?.id } }).artikel()
  },
}
